-----------------------------------------------------------------------------
RPGs in QBASIC Tutorial
Issue #1: April, 1997

Author: DarkDread (darkdread@geocities.com)
From: http://www.geocities.com/SiliconValley/Pines/1732/tut.htm
Note: This file may be distributed free of charege as long as it is not
      modified or tampered with in any way.
-----------------------------------------------------------------------------

GETTING STARTED
--------------------------------------------->>>>>

1.0 Overview
------------------------------->>
     This issue will discuss what you should have planned out before
jumping into the coding.  Things such as the storyline, the characters,
the gameplay, and the audience will be reviewed.

1.1 Getting Started
------------------------------->>
     Okay, so you want to program an RPG (Role Playing Game).  Now what?
Well, you need to get started, that's what.  The best way to begin any
large programming project is to have an outline, and a goal.  This way,
you will have a skeleton planned out for what you are going to do.  A
great way to start is to write a storyline.  This way, you will know what
kind of situations to program, how long the game might be, and what sort
of tools you will need to accomplish this task.  Ready? Okay, here we go...

1.2 The Storyline
------------------------------->>
     The most important part of any RPG is the storyline.  If anyone else
tells you otherwise, don't believe them because they don't know what they
are talking about.  This part of the programming stage is entirely up to
you, so there isn't too much I can say but here are a few pointers which I
always find useful:

  - Make your story original.  Not too many people will want to play a
    game which is predictable or unimaginative.

  - A good RPG has a long and involving storyline.  It is very much like
    a good TV show.  If you want people to enjoy your game, you must first
    get them hooked on the storyline.  This way, a player will want to
    play the game to its finish so they can find out what happens.  This
    is also a crucial part for shareware games.  If your story is very
    captivating more people will order the full version to find out how the
    story ends.

  - Finally, when writing a storyline, you should follow the guidelines of
    what makes a good book.  Your characters should be consistent.  If a
    character changes from bad to good, there should be a really good reason
    as to why this happens.  You must be able to captivate the game player.
    Your settings, your dialogue, and everything else should be well planned
    and thought out.

1.3 The Characters
------------------------------->>
     So, now you've got a great storyline.  Let's get programming! NO. HOLD
IT! You must plan out your main characters now.  Note the attributes which
each of your characters will have and build on them.  Is the character going
to be good, evil, or a bit of both? Will they be brave or meek? Trustworthy
or underhanded? Familiar or enigmatic? Once this is figured out, make sure
to keep your characters consistent throughout the game.  If there is dialogue
between a brave good character and an underhanded evil character, make sure
that you can tell who's who! Once the characters are planned out, you can
begin writing the important dialogues with your character's attributes in
mind.  Now the skeleton of your storyline is finally complete.

1.4 The Gameplay
------------------------------->>
     Once you have a basic storyline finished, you can begin planning how
your game will be played.  Will it be tile-based, first-person, 3D (The
latest craze), or a combination of the three? When planning this, you should
also take your programming skills into account.  If you are just a novice,
you might want to stick with a tile-based game.  If you are more advanced,
you might want an entirely 3D game, a combination of the three, or something
totally different (A side-scrolling RPG? Why not).
     You should also decide how many characters the player will control.
Will it be a constant number or will the character(s) join the player's party
at certain or random points in the game? Will the player fight only one enemy
at a time or more?
     These are some of the important things to consider about the gameplay.

1.5 The Audience
------------------------------->>
     This part of the planning stage will come either first or last,
depending on how you begin to plan.  If you have an audience already in mind
(ie. kids, teens, adults), then this part of the planning stage should come
in first, otherwise, it comes last.
     Basically, you need to know what kind of an audience your game will be
geared for.  If your game will be played mainly by kids, you do not want any
excessive violence, blood, or mature themes in your game.  Your game should
have "cute" graphics, and it must not only appeal to the kids, but also to
the parents of the kids, who should have the last say on what their child
can be exposed to.  If your game is too violent or bloody, or even too hard
parents will not want their kids to play it.
     If you are looking at a mostly teen audience then violence, blood, and
gore will play a role in your game.  There should be some action going on
in your game but again, it shouldn't be excessive.  Remember, with many
teens, the parents still control what they can or cannot play, therefore, if
your game is extremely violent, or gory, you might be turning the parents
off.
     Finally, if your game will be geared towards an adult audience, you can
deal with pretty much anything you wish.  But, you should decide at some
kind of limit.  If you want your game to be enjoyed by as many as possible,
it shouldn't be horribly violent, because many people will be turned off by
excessive violence.  However, if you wish to shock and cause controversy
(Which, seriously, is a good way to create exposure for your product), then
anything goes, well, as long as it's legal.

1.6 End Notes
------------------------------->>
     Well, that's about it for the planning stages.  Now you should be
ready to begin programming that amazing RPG.  Make sure to keep the
guidelines which you've created at hand so that you can refer to them later
if it is necessary.

-----------------------------------------------------------------------------
Next Issue:

We'll be getting into the good stuff here.  Details on how to program the
game engines (ie. Tile Engine, 3D Engine, etc.) will be discussed. Qbasic
source code will also be included so stay tuned!

Note:

These RPG tutorials can be download from:

http://www.geocities.com/SiliconValley/Pines/1732/tut.htm

Credits:

Well, none really.  But a big thanks goes out to all Qbasic coders out there
who continue to keep Qbasic alive.
-----------------------------------------------------------------------------


<!-- text below generated by server. PLEASE REMOVE --></applet></object></layer></div></span></style></noscript></table></script>